XPlanner

Docs

Read usage

Returns usage metrics based on the current subscription, period, and allowlist scope of the API key.


GET

/usage

usage:read

Header'lar

Authorization

*
string

API key. Format: Bearer xpl_live_...

Usage metrics

accounts

x accounts

Shows the connected X account usage within the scope of access of the API key.

folders

folders

Shows idea folder usage and plan limit.

ideas

fikirler

Demonstrates the use of the idea pool. In the unlimited plan, the limit returns null.

monthlyPosts

monthly

Shows the number of pushed shipments successfully sent to X in the current billing period.

scheduledPosts

planned

Shows planned post usage in scheduled and draft_scheduled status.

workspaces

workspaces

Shows workspace usage within the scope of access of the API key.

Rate limit summary

defaultPerMinute

120/dk

API key based minute limit for general read requests.

mutatingPerMinute

20/dk

It is an API key-based minute limit for write requests such as POST.

endpointLimits

object

Includes endpoint-based limits for accounts, folders, ideas, posts, usage and publish_now.

Cevaplar

200

Billing, rate limit and usage summary.

cURL

curl https://api.xplanner.co/v1/usage \  -H "Authorization: Bearer $XPLANNER_API_KEY"

Cevap

{  "data": {    "billing": {      "accessStatus": "active",      "currentPeriodStart": "2026-05-01T00:00:00.000Z",      "currentPeriodEnd": "2026-06-01T00:00:00.000Z",      "plan": {        "id": "plan_pro",        "key": "pro",        "displayName": "Pro"      }    },    "usage": {      "accounts": { "used": 2, "limit": 5, "remaining": 3 },      "folders": { "used": 6, "limit": 50, "remaining": 44 },      "ideas": { "used": 28, "limit": null, "remaining": null },      "monthlyPosts": { "used": 18, "limit": 300, "remaining": 282 },      "scheduledPosts": { "used": 7, "limit": 50, "remaining": 43 },      "workspaces": { "used": 1, "limit": 3, "remaining": 2 }    },    "rateLimit": {      "defaultPerMinute": 120,      "mutatingPerMinute": 20,      "endpointLimits": {        "accountsReadPerMinute": 60,        "foldersReadPerMinute": 60,        "foldersWritePerMinute": 20,        "ideasReadPerMinute": 60,        "ideasWritePerMinute": 20,        "meReadPerMinute": 60,        "postsReadPerMinute": 60,        "postsWritePerMinute": 10,        "postsWritePerHour": 120,        "postsPublishPerMinute": 3,        "postsPublishPerHour": 30,        "usageReadPerMinute": 20      }    },    "workspaceAccess": "selected",    "workspaceId": "wrk_123",    "workspaceIds": ["wrk_123"]  },  "requestId": "req_123"}